image: erlang:21.2

services:
  - name: mongo:latest
    alias: mongo

before_script:
  - apt-get -q update
  - apt-get -qy install cmake libsnappy-dev

test:

  artifacts:
    when: always
    paths:
    - _build/test/logs

  script:
    - ./support/rebar3 ct --sys_config config/gitlab.config

  cache:
    paths:
    - _build/default/lib/rocksdb
    - _build/test/lib/rocksdb
